<?php
$status =  Mage::getStoreConfig('homepage/homepage_group/homepage_select');
if(empty($status) === FALSE):
 $categories = Mage::getModel('catalog/category')
                 ->getCollection()
                 ->addFieldToFilter('is_active', 1)
                 ->addFieldToFilter('homepage_category', 1)
                 ->addFieldToFilter('level', 3)
                 ->addAttributeToSelect('*');

?>
<!--    <link rel="stylesheet" type="text/css"  href="http://localhost/try/test/website/css/app.css">   -->
    <!-- <div class="category-heading">
        
            <div class="row">
                <div class="col-md-12">
                    <div class="cat-title">
                        <h4>Featured Categories</h4>
                    </div>
                </div>
            </div>
        
    </div>
    <div class="product-category"> -->
        
            <div class="row">
                <?php
                $c =1;
                $column = 1;
                $rowcount = 4;
                foreach($categories as $categorie):
                ?>
                 <?php 
                    if($c == 1):
                           ?><ul class='category-grid columcount_<?php echo $column; ?>'><?php
                    endif;
                    ?>
                        <li>
                <div class="col-md-3 col-sm-4 col-xs-12 ">
                   <div class="product-cat">
                        <a href="<?php echo $categorie->getUrl() ?>">
                        <img class="img-responsive" src="<?php echo Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_MEDIA).'catalog/category/'.$categorie->getData('homepage_category_image'); ?>" alt="">
                        </a>
                        <h5><a href="<?php echo $categorie->getUrl() ?>"><?php echo $categorie->getName() ?></a></h5>
                        <?php 
                        $sub_categories = Mage::getModel('catalog/category')
                                ->getCollection()
                                ->addFieldToFilter('is_active', 1)
                                ->addFieldToFilter('homepage_category', 1)
                                ->addFieldToFilter('parent_id', $categorie->getId())
                                ->addAttributeToSelect('*');
                                
                         if(empty($sub_categories) === FALSE){ ?>
                            <div class="pro-list"><ul>
                            <?php
                             foreach ($sub_categories as $key => $value) {
                            ?>
                                <li><a href="<?php echo $value->getUrl() ?>"><i class="fa fa-angle-right" aria-hidden="true"></i> <?php echo $value->getName() ?></a></li>
                            <?php
                            }
                            ?>
                                </ul>
                                <div class="viewall"><a href="<?php echo $categorie->getUrl() ?>"><?php echo $this->__('View All'); ?> <i class="fa fa-caret-right" aria-hidden="true"></i></a></div>
                            </div>
                            <?php
                        }
                        ?>
                    </div>
                </div>
                 </li>
                        <?php 
                        if($c%4 ==0){
                           $column++;
                           echo '</ul>';
                           ?>
                              <ul class='category-grid columcount_<?php echo $column; ?>'>
                           <?php
                        }
                        $c++;
                        ?>
                <?php 
                endforeach;
                ?>
            </div>
        
    <!-- </div> -->


<!-- jQuery (necessary for Bootstrap's JavaScript plugins) --> 
<!--<script type="text/javascript" src="js/jquery.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>-->
<script>
    // $('.menuheader nav').meanmenu(); 
</script>
<script type="text/javascript">
            jQuery(document).ready(function(){  
              var testcls = jQuery('.category-grid:last').attr('class').split(' ')[1];
              test = testcls.split('_')[1];
              //alert(test);
              for(i=1;i<=test;i++) {
                var heights = jQuery(".columcount_"+i+" .product-cat .pro-list ul").map(function (){
                  return jQuery(this).height();
                }).get(),
                maxHeight = Math.max.apply(null, heights);
                jQuery(".columcount_"+i+" .product-cat .pro-list ul").css('height',maxHeight+'px');
                //alert(maxHeight);
              } 
              //console.log(test);
              
            });
            </script>
<?php
endif;
?>